# Uses of Class
org.snpsift.annotate.mem.dataFrame.DataFrame

Packages that use DataFrame
Package
Description
org.snpsift.annotate.mem.database
org.snpsift.annotate.mem.dataFrame

## Uses of DataFrame in org.snpsift.annotate.mem.database

Methods in org.snpsift.annotate.mem.database that return DataFrame
Modifier and Type
Method
Description
`DataFrame`
VariantDataFrame.`getDataFrameByCategory(VariantCategory category)`
`DataFrame`
VariantDataFrame.`getDataFrameByVariantType(org.snpeff.interval.Variant variant)`
Select the appropirate data set for a variant

## Uses of DataFrame in org.snpsift.annotate.mem.dataFrame

Subclasses of DataFrame in org.snpsift.annotate.mem.dataFrame
Modifier and Type
Class
Description
`class`
`DataFrameDel`
`class`
`DataFrameIns`
`class`
`DataFrameMixed`
`class`
`DataFrameMnp`
`class`
`DataFrameOther`
`class`
`DataFrameSnp`
A set of DataColumns specific SNP 'alt' (e.g.
Constructors in org.snpsift.annotate.mem.dataFrame with parameters of type DataFrame
Modifier
Constructor
Description
``
`DataFrameRow(DataFrame dataFrame, int pos, String ref, String alt)`
``
`DataFrameRow(DataFrame dataFrame, int pos, String ref, String alt, int idx)`